Bug 217389 - Spurious esound, audiofile dependencies in SDL-1.2.10-8
Summary: Spurious esound, audiofile dependencies in SDL-1.2.10-8
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords: Patch, Regression
Depends On:
Blocks: 226402
TreeView+ depends on / blocked
 
Reported: 2006-11-27 18:03 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.2.11-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-29 16:18:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix libesd.so.* filename detection (1.06 KB, patch)
2006-11-27 18:03 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2006-11-27 18:03:32 UTC
Compared to SDL-1.2.10-6.2, SDL-1.2.10-8 has grown spurious dependencies to
esound and audiofile.

The culprit is a failure to detect the filename of libesd.so.* during configure:
[...]
checking for esd-config... /usr/bin/esd-config
checking for ESD - version >= 0.2.8... yes
ls: -lesd: No such file or directory
ls: -laudiofile: No such file or directory
ls: -lm: No such file or directory
-- -lesd -laudiofile -lm ->
[...]

Fix (against current devel CVS) attached - code copy/pasted from similar section
regarding libasound.so.* in configure.in.

After applying the patch, configure outputs the expected:
[...]
checking for esd-config... /usr/bin/esd-config
checking for ESD - version >= 0.2.8... yes
-- /usr/lib64/libesd.so.* -> libesd.so.0
[...]

Comment 1 Ville Skyttä 2006-11-27 18:03:32 UTC
Created attachment 142193 [details]
Fix libesd.so.* filename detection

Comment 2 Ville Skyttä 2007-01-19 07:36:33 UTC
Any chance of getting an FC6 errata for this?  Should be a trivial fix.

Comment 3 Hans de Goede 2007-02-12 15:11:47 UTC
I've reviewed and tested Ville's patch it looks and works fine.


Comment 4 Fedora Update System 2007-03-27 16:10:18 UTC
SDL-1.2.11-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.